Subject: Re: setup v1.39 -- improvements
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 30 Apr 2000 13:38:42 -0400

On Sun, Apr 30, 2000 at 09:40:38AM +0200, Adrian Phillips wrote:
>>>>>> "Chris" == Chris Faylor <[email-masked]> writes:
>    Chris> I've put another, experimental version of setup.exe in
>    Chris> cygwin/latest.  This verision of setup records, in the
>    Chris> registry, the versions of the packages that it installs.
>    Chris> It uses this facility to avoid downloading or installing
>    Chris> tar.gz files which seem older than what is currently on the
>    Chris> system.
>
><snip>
>
>For your information :-
>
>OS: Windows 2000 server (English)
>Cygwin: setup-1.39
>
>- Using a full local mirror of latest directory updated Apr. 30. 2000
>  7.27 GMT (mirror is situated on a Samba server running under Linux)
>
>- running setup-1.39 on top of an existing 1.1 cygwin installation
>  (all runs with current directory as latest) :
>
>    P:\fromnet\software\cygwin\latest>setup-1.39

Thanks very much for trying this.

Could you send me the output of a Windows DIR command in the directory where
these files are located?  I have a feeling that this might be a upper/lower
case issue.

I'd also be interested in seeing the cygwin.bat and setup.log files.

Please send them to the cygwin mailing list.

Thanks again,
cgf
>
>    This is the Cygwin setup utility (v1.39),
>    built on Apr 30 2000 00:16:55.
>
>    Use this program to install the latest version of the Cygwin Utilities
>    from the Internet.
>
>    Alternatively, if you already have already downloaded the appropriate files
>    to the current directory (and subdirectories below it), this program can use
>    those as the basis for your installation.
>
>    If you are installing from the Internet, please run this program in an empty
>    temporary directory.
>
>    Press <enter> to accept the default value.
>    Root directory? [d:\cygwin]
>    Install from the current directory (d) or from the Internet (i)? [i] d
>    Creating the uninstall file...Done.
>
>    Installation took 10 seconds.
>
>No files are updated - is this expected when the files are already installed ?
>
>- Deleting everything under d:\cywgin apart from usr\local then
>  rerunning setup-1.39; similar results to above, install taking only
>  approx. 10 seconds and no files are installed apart from cygwin.bat
>  and the directory structure.
>
>- Renaming cygwin to cygwin.old and rerunning setup-1.39 again gives
>  similar result, noneof the tar.gz's are installed.
>
>- Running setup.exe (v 1.34 built on Apr 27 2000 14:25) installs
>  everything correctly (using d:\cygwin and current directory install)
>
>Let me know if I maybe of assistance to help fix this,

--
Want to unsubscribe from this list?
Send a message to [email-masked]